---
- name: create database
  hosts: remote
  become: false
  connection: local
  vars:
     db_host: mysql
     db_username: mysql_admin
     db_password: admin1234
     db_name: deepakdb
     db_root_username: root
     db_root_password: root12345

  tasks:
   - name: installing pip3
     become: true
     apt:
        name: 
        - python3-pip
        - python3-pymysql
        - python-apt
        - python3-apt
        update_cache: yes
        state: present

   - pip:
       name: boto 

   - name: look up info for db
     rds:
      command: facts
      instance_name: new-database
      region: us-east-2
     register: rds


   - name: db status 
     debug:  
       msg: "{{ rds.instance.status }}"


       #- name: Create users if they don't exist
       #      command: >
       #        /usr/bin/mysql -umysql_user -pmysql_password
       #        -e "CREATE USER {{ mysql_users[0]['name'] }};"
       #      when: databases.stdout.find('{{ mysql_db }}') != -1



   - name: check if DB exists
     shell: mysql --host={{ db_host }} --user={{ db_username }} --password={{ db_password }} -e 'SHOW DATABASES;' | grep -c {{ db_name }}
     register: dbstatus
     failed_when: dbstatus.rc == 2

   - name: creating .my.cnf file
     copy:
       dest: ~/.my.cnf
       content: |
            user: {{ db_root_username }}
            password: {{ db_root_password }}
           

   - name: Create database
     mysql_db: login_unix_socket=/var/run/mysqld/mysqld.sock name={{ db_name }} collation=utf8mb4_unicode_ci state=present login_host={{ db_host }} login_user={{ db_root_username }} login_password={{ db_root_password }} 
     when: dbstatus.stdout == "0"



